##############################################################################
#
# This file defines the filename and the path of the log file.
#
# The syntax of the entries is as follows:
#     <key> = <value>
#
##############################################################################


##############################################################################  
# resource configuration
##############################################################################
resource.propertiesDescritption            =
resource.enableSystemKeyValueFileLoader    = true
resource.bootmanager.enableClasspathLoader = true
resource.classPathLoaderPrefix             = $

# resource handlers
resource.handlerMapper1.jptools.resource.ClasspathResourceHandler = ^\\$.*
resource.handlerMapper2.jptools.resource.GZIPResourceHandler = .*\\.gz
resource.handlerMapper3.jptools.resource.FileResourceHandler = .*

# resource mappings
#resource.alias1.namex                 = nameX


##############################################################################
# resource configuration
##############################################################################
xml.documentBuilderFactory            = javax.xml.parsers.DocumentBuilderFactory
xml.saxParserFactory                  = javax.xml.parsers.SAXParserFactory
xml.validation                        = true


##############################################################################
# database configuration
##############################################################################
# oracle example
#database.driver                       = oracle.jdbc.driver.OracleDriver
#database.url                          = jdbc:oracle:thin:@IPNUMBER:1521:INSTANCE
#database.username                     = 
#database.password                     = 
#database.minConnections               = 1
#database.maxConnections               = 10
#database.errorTimeout                 = 1000
#database.connectionTimeout            = 300000
#database.shrinkTimeout                = 60000
#database.numberOfConnectionsToShrink  = quarter
#database.logStatistic                 = true


##############################################################################
# logger configuration
##############################################################################
logger.layout                         = jptools.logger.SimpleLayout
logger.writer                         = jptools.logger.SimpleLogWriter
logger.level                          = ALL
#logger.level                          = INFO + FATAL
logger.destination                    = System.out
logger.appendFile                     = false                                     
logger.rmiLogging                     = false
logger.enableBootstrapLog             = false
logger.enableStatistic                = false
logger.enableLogInformation           = true
logger.enableVersion                  = true
logger.enableHierarchy                = false

logger.size                           = 10
logger.alert                          = ERROR


##############################################################################
# layout dependencies
##############################################################################
logger.allText                        = ALL
logger.offText                        = OFF
logger.infoText                       = INFO
logger.warningText                    = WARN
logger.debugText                      = DEBUG
logger.errorText                      = ERROR
logger.fatalText                      = FATAL
logger.unknownText                    = UNKNOW
logger.exceptionText                  = EXCEPTION\:
logger.dateFormat                     = yyyy.MM.dd-HH\:mm\:ss.SSS
logger.itemSeparator                  = \ -\ 
logger.messageSeparator               = \ |\ 
logger.fillupCharacter                = \ 
logger.hierarchyStartTag              = <
logger.hierarchyEndTag                = >
logger.hierarchySeparator             = \ \ 
logger.enableThreadName               = false
logger.enableTimeStamp                = true
logger.enablePackageName              = true
logger.enableClassName                = true
logger.enableLevel                    = true
logger.enableMessage                  = true
logger.enableExceptionStackTrace      = true
logger.enableHierarchyInHeader        = true

# negativ or zero values enables independent lines!
logger.levelFieldWidth                = 1
logger.threadFieldWidth               = 10
logger.callTraceFieldWidth            = 40
logger.logInformationFieldWidth       = 10
logger.versionFieldWidth              = 4
logger.hierarchyFieldWidth            = 4
logger.hierarchyMaxLevel              = -1


##############################################################################
# Defines packages and classes which should be logged:
#    filter.package-name            = Level [+ Level] [-Level]
#    filter.package-name.class-name = Level [+ Level] [-Level]
#
# The value defines the log level. The names which are defined above could be 
# used like the following:
#    filter.com.example             = INFO + DEBUG
#    filter.com.example.test        = ALL - INFO - DEBUG
#
# In the example the name INFO is equals to the value of the key infoText!
##############################################################################
#logger.logInformationFilter          = 
#logger.filter.jptools                = WARN + ERROR + FATAL
